#include <stdio.h>
#include <stdlib.h>
#include <time.h>
#include "s2plot.h"

int main(int argc, char *argv[])
{
   int texid;				/* ID for this texture */
   unsigned char *tex;				/* Array holding texture */
   int width, height;			/* Dimensions of texture */
   int i, j;				/* Loop variables */
   int idx;				/* Temporary index into array */
   XYZ xyz = { 0.0, 0.0, 0.0 };		/* Location of sphere */
   float r = 0.3;			/* Radius of sphere */
   COLOUR col = { 1.0, 1.0, 1.0 };  	/* Colour of sphere */

   srand48((long)time(NULL));           /* Seed random numbers */
   s2opend("/?",argc, argv);		/* Open the display */
   s2swin(-1.,1., -1.,1., -1.,1.);  	/* Set the window coordinates */
   s2box("BCDET",0,0,"BCDET",0,0,"BCDET",0,0);	/* Draw coordinate box */

   width = 128;				/* Width of new texture */
   height = 16;				/* Height of new texture */
   texid = ss2ctt(width, height);	/* Create transient texture */
   tex = ss2gt(texid, &width, &height);	/* Store texture */

   for (j=0;j<height;j++) {			
      for (i=0;i<width;i++) {
         idx = (j*width + i)*4;		/* Stored as (r, g, b, alpha) */
         tex[idx  ] = 127*drand48()+128;/* Randomish Red */
         tex[idx+1] = 0;		/* Green */
         tex[idx+2] = 0;		/* Blue */
					/* Do nothing to alpha */
      }
   }
   
   ss2ptt(texid);			/* Restore transient texture */
   ns2vspherex(xyz, r, col, texid);	/* Draw textured sphere */

   s2show(1);				/* Open the s2plot window */
   
   return 1;
}
