/* keyboardstring.h: help strings for S2PLOT
 *
 * ==================================================================
 * S2PLOT is freely available for non-commercial and educational use,
 * however, it is not public-domain software. The programming library
 * and documentation may not be redistributed or sub-licensed in any
 * form without permission from Swinburne University of
 * Technology. The programming library and sample codes are provided
 * without warranty.
 *
 * We would appreciate it if research outcomes using S2PLOT would
 * provide the following acknowledgement:
 *
 * "Three-dimensional visualisation was conducted with the S2PLOT
 * progamming library"
 *
 * and a reference to 
 *
 * D.G.Barnes, C.J.Fluke, P.D.Bourke & O.T.Parry, 2006, Publications
 * of the Astronomical Society of Australia, 23(2), 82-93.
 *
 * S2PLOT development was funded through the Researcher Developer
 * Grant Scheme at Swinburne University of Technology.
 * ==================================================================
 *
 * $Id: keyboardstring.h 5323 2008-10-13 22:35:25Z dbarnes $
 *
 */

#if !defined(BUILDING_S2PLOT)
char *_s2x_keyboardstring = 
"Key Strokes    h,H   home position for camera (also \"home\")\n\
               f,F   focus camera\n\
             1...7   standard camera views\n\
               i,k   translate camera up, down\n\
               j,l   translate camera left, right\n\
               -,+   increase/decrease velocity\n\
               [,]   roll anticlockwise, clockwise\n\
               a,A   toggle autospin\n\
                 c   append camera position to \"camera.path\"\n\
        left arrow   rotate camera left\n\
       right arrow   rotate camera right\n\
        down arrow   rotate camera down\n\
          up arrow   rotate camera up\n\
                 D   delete all geometry\n\
                 d   toggle debug mode\n\
               q,Q   quit (also ESC, \"end\")\n\
Function keys   F1   toggle screen info\n\
                F2   toggle bounding box\n\
                F9   write large (3 x 3) image to disk\n\
               F10   write current image to disk\n\
               F11   create QTVR object images\n\
               F12   toggle image recording\n\
";
#else
char *_s2x_keyboardstring = 
"S2PLOT Standard Key Actions\n\
Shift-q,Shift-ESC   quit\n\
         h,H,Home   return camera to home position\n\
              f,F   focus camera on centre of geometry\n\
            1...7   standard camera views (*)\n\
       left arrow   rotate camera left\n\
      right arrow   rotate camera right\n\
       down arrow   rotate camera down\n\
         up arrow   rotate camera up\n\
              i,k   translate camera up, down\n\
              j,l   translate camera left, right\n\
              -,+   move backwards, forwards\n\
              [,]   roll anticlockwise, clockwise\n\
              (,)   wider/narrower view angle\n\
              a,A   toggle autospin\n\
                d   toggle debug mode\n\
                r   cycle rendering modes (wireframe, flat, ...)\n\
              <,>   decrease, increase camera delta (\"speed\")\n\
              /,*   decrease, increase autospin rate\n\
----------------------------------------------------------------------\n\
               F1   toggle/cycle help screens\n\
               F2   toggle bounding box\n\
               F5   write geometry and view file to disk\n\
               F6   write geometry, view file and image to disk\n\
               F7   toggle recording of geometry, view file and image\n\
----------------------------------------------------------------------\n\
(*) numeric keys may be remapped by the application you are using\n\
";
#endif
